"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStepsForResource = getStepsForResource;
exports.isResourceLoading = isResourceLoading;
var _Stepper = require("../Stepper.constants");
var _Stepper2 = require("./Stepper.utils");
var _reactComponents = require("@talend/react-components");
var _lodash = require("lodash");
function getStepsForResource(store, resourceType, resourceId) {
  return (0, _lodash.get)(store, [_Stepper.STATE_KEY, (0, _Stepper2.getStepperKey)({
    resourceType,
    resourceId
  }), 'steps'], []);
}
function isResourceLoading(store, resourceType, resourceId) {
  return _reactComponents.Stepper.isStepsLoading(getStepsForResource(store, resourceType, resourceId));
}
//# sourceMappingURL=Stepper.selectors.js.map