"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStepperKey = void 0;
/**
 * This function returns the key to point the loading step in the store
 * It's based on the resourceType / resourceId
 * internally usage only in the loading step service
 * @param {object} action redux action
 */
// eslint-disable-next-line
const getStepperKey = action => `${action.resourceType}-${action.resourceId}`;
exports.getStepperKey = getStepperKey;
//# sourceMappingURL=Stepper.utils.js.map