(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["TalendReactStepper"] = factory();
	else
		root["TalendReactStepper"] = factory();
})(this, () => {
return /******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "../../node_modules/invariant/browser.js":
/*!***********************************************!*\
  !*** ../../node_modules/invariant/browser.js ***!
  \***********************************************/
/***/ ((module) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



/**
 * Use invariant() to assert state which your program assumes to be true.
 *
 * Provide sprintf-style format (only %s is supported) and arguments
 * to provide information about what broke and what you were
 * expecting.
 *
 * The invariant message will be stripped in production, but the invariant
 * will remain to ensure logic does not differ in production.
 */

var invariant = function(condition, format, a, b, c, d, e, f) {
  if (true) {
    if (format === undefined) {
      throw new Error('invariant requires an error message argument');
    }
  }

  if (!condition) {
    var error;
    if (format === undefined) {
      error = new Error(
        'Minified exception occurred; use the non-minified dev environment ' +
        'for the full error message and additional helpful warnings.'
      );
    } else {
      var args = [a, b, c, d, e, f];
      var argIndex = 0;
      error = new Error(
        format.replace(/%s/g, function() { return args[argIndex++]; })
      );
      error.name = 'Invariant Violation';
    }

    error.framesToPop = 1; // we don't care about invariant's own frame
    throw error;
  }
};

module.exports = invariant;


/***/ }),

/***/ "../../node_modules/react/cjs/react-jsx-runtime.development.js":
/*!*********************************************************************!*\
  !*** ../../node_modules/react/cjs/react-jsx-runtime.development.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/**
 * @license React
 * react-jsx-runtime.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var React = __webpack_require__(/*! react */ "react");

// ATTENTION
// When adding new symbols to this file,
// Please consider also adding to 'react-devtools-shared/src/backend/ReactSymbols'
// The Symbol used to tag the ReactElement-like types.
var REACT_ELEMENT_TYPE = Symbol.for('react.element');
var REACT_PORTAL_TYPE = Symbol.for('react.portal');
var REACT_FRAGMENT_TYPE = Symbol.for('react.fragment');
var REACT_STRICT_MODE_TYPE = Symbol.for('react.strict_mode');
var REACT_PROFILER_TYPE = Symbol.for('react.profiler');
var REACT_PROVIDER_TYPE = Symbol.for('react.provider');
var REACT_CONTEXT_TYPE = Symbol.for('react.context');
var REACT_FORWARD_REF_TYPE = Symbol.for('react.forward_ref');
var REACT_SUSPENSE_TYPE = Symbol.for('react.suspense');
var REACT_SUSPENSE_LIST_TYPE = Symbol.for('react.suspense_list');
var REACT_MEMO_TYPE = Symbol.for('react.memo');
var REACT_LAZY_TYPE = Symbol.for('react.lazy');
var REACT_OFFSCREEN_TYPE = Symbol.for('react.offscreen');
var MAYBE_ITERATOR_SYMBOL = Symbol.iterator;
var FAUX_ITERATOR_SYMBOL = '@@iterator';
function getIteratorFn(maybeIterable) {
  if (maybeIterable === null || typeof maybeIterable !== 'object') {
    return null;
  }

  var maybeIterator = MAYBE_ITERATOR_SYMBOL && maybeIterable[MAYBE_ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL];

  if (typeof maybeIterator === 'function') {
    return maybeIterator;
  }

  return null;
}

var ReactSharedInternals = React.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;

function error(format) {
  {
    {
      for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
        args[_key2 - 1] = arguments[_key2];
      }

      printWarning('error', format, args);
    }
  }
}

function printWarning(level, format, args) {
  // When changing this logic, you might want to also
  // update consoleWithStackDev.www.js as well.
  {
    var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
    var stack = ReactDebugCurrentFrame.getStackAddendum();

    if (stack !== '') {
      format += '%s';
      args = args.concat([stack]);
    } // eslint-disable-next-line react-internal/safe-string-coercion


    var argsWithFormat = args.map(function (item) {
      return String(item);
    }); // Careful: RN currently depends on this prefix

    argsWithFormat.unshift('Warning: ' + format); // We intentionally don't use spread (or .apply) directly because it
    // breaks IE9: https://github.com/facebook/react/issues/13610
    // eslint-disable-next-line react-internal/no-production-logging

    Function.prototype.apply.call(console[level], console, argsWithFormat);
  }
}

// -----------------------------------------------------------------------------

var enableScopeAPI = false; // Experimental Create Event Handle API.
var enableCacheElement = false;
var enableTransitionTracing = false; // No known bugs, but needs performance testing

var enableLegacyHidden = false; // Enables unstable_avoidThisFallback feature in Fiber
// stuff. Intended to enable React core members to more easily debug scheduling
// issues in DEV builds.

var enableDebugTracing = false; // Track which Fiber(s) schedule render work.

var REACT_MODULE_REFERENCE;

{
  REACT_MODULE_REFERENCE = Symbol.for('react.module.reference');
}

function isValidElementType(type) {
  if (typeof type === 'string' || typeof type === 'function') {
    return true;
  } // Note: typeof might be other than 'symbol' or 'number' (e.g. if it's a polyfill).


  if (type === REACT_FRAGMENT_TYPE || type === REACT_PROFILER_TYPE || enableDebugTracing  || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || enableLegacyHidden  || type === REACT_OFFSCREEN_TYPE || enableScopeAPI  || enableCacheElement  || enableTransitionTracing ) {
    return true;
  }

  if (typeof type === 'object' && type !== null) {
    if (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || // This needs to include all possible module reference object
    // types supported by any Flight configuration anywhere since
    // we don't know which Flight build this will end up being used
    // with.
    type.$$typeof === REACT_MODULE_REFERENCE || type.getModuleId !== undefined) {
      return true;
    }
  }

  return false;
}

function getWrappedName(outerType, innerType, wrapperName) {
  var displayName = outerType.displayName;

  if (displayName) {
    return displayName;
  }

  var functionName = innerType.displayName || innerType.name || '';
  return functionName !== '' ? wrapperName + "(" + functionName + ")" : wrapperName;
} // Keep in sync with react-reconciler/getComponentNameFromFiber


function getContextName(type) {
  return type.displayName || 'Context';
} // Note that the reconciler package should generally prefer to use getComponentNameFromFiber() instead.


function getComponentNameFromType(type) {
  if (type == null) {
    // Host root, text node or just invalid type.
    return null;
  }

  {
    if (typeof type.tag === 'number') {
      error('Received an unexpected object in getComponentNameFromType(). ' + 'This is likely a bug in React. Please file an issue.');
    }
  }

  if (typeof type === 'function') {
    return type.displayName || type.name || null;
  }

  if (typeof type === 'string') {
    return type;
  }

  switch (type) {
    case REACT_FRAGMENT_TYPE:
      return 'Fragment';

    case REACT_PORTAL_TYPE:
      return 'Portal';

    case REACT_PROFILER_TYPE:
      return 'Profiler';

    case REACT_STRICT_MODE_TYPE:
      return 'StrictMode';

    case REACT_SUSPENSE_TYPE:
      return 'Suspense';

    case REACT_SUSPENSE_LIST_TYPE:
      return 'SuspenseList';

  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_CONTEXT_TYPE:
        var context = type;
        return getContextName(context) + '.Consumer';

      case REACT_PROVIDER_TYPE:
        var provider = type;
        return getContextName(provider._context) + '.Provider';

      case REACT_FORWARD_REF_TYPE:
        return getWrappedName(type, type.render, 'ForwardRef');

      case REACT_MEMO_TYPE:
        var outerName = type.displayName || null;

        if (outerName !== null) {
          return outerName;
        }

        return getComponentNameFromType(type.type) || 'Memo';

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            return getComponentNameFromType(init(payload));
          } catch (x) {
            return null;
          }
        }

      // eslint-disable-next-line no-fallthrough
    }
  }

  return null;
}

var assign = Object.assign;

// Helpers to patch console.logs to avoid logging during side-effect free
// replaying on render function. This currently only patches the object
// lazily which won't cover if the log function was extracted eagerly.
// We could also eagerly patch the method.
var disabledDepth = 0;
var prevLog;
var prevInfo;
var prevWarn;
var prevError;
var prevGroup;
var prevGroupCollapsed;
var prevGroupEnd;

function disabledLog() {}

disabledLog.__reactDisabledLog = true;
function disableLogs() {
  {
    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      prevLog = console.log;
      prevInfo = console.info;
      prevWarn = console.warn;
      prevError = console.error;
      prevGroup = console.group;
      prevGroupCollapsed = console.groupCollapsed;
      prevGroupEnd = console.groupEnd; // https://github.com/facebook/react/issues/19099

      var props = {
        configurable: true,
        enumerable: true,
        value: disabledLog,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        info: props,
        log: props,
        warn: props,
        error: props,
        group: props,
        groupCollapsed: props,
        groupEnd: props
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    disabledDepth++;
  }
}
function reenableLogs() {
  {
    disabledDepth--;

    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      var props = {
        configurable: true,
        enumerable: true,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        log: assign({}, props, {
          value: prevLog
        }),
        info: assign({}, props, {
          value: prevInfo
        }),
        warn: assign({}, props, {
          value: prevWarn
        }),
        error: assign({}, props, {
          value: prevError
        }),
        group: assign({}, props, {
          value: prevGroup
        }),
        groupCollapsed: assign({}, props, {
          value: prevGroupCollapsed
        }),
        groupEnd: assign({}, props, {
          value: prevGroupEnd
        })
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    if (disabledDepth < 0) {
      error('disabledDepth fell below zero. ' + 'This is a bug in React. Please file an issue.');
    }
  }
}

var ReactCurrentDispatcher = ReactSharedInternals.ReactCurrentDispatcher;
var prefix;
function describeBuiltInComponentFrame(name, source, ownerFn) {
  {
    if (prefix === undefined) {
      // Extract the VM specific prefix used by each line.
      try {
        throw Error();
      } catch (x) {
        var match = x.stack.trim().match(/\n( *(at )?)/);
        prefix = match && match[1] || '';
      }
    } // We use the prefix to ensure our stacks line up with native stack frames.


    return '\n' + prefix + name;
  }
}
var reentry = false;
var componentFrameCache;

{
  var PossiblyWeakMap = typeof WeakMap === 'function' ? WeakMap : Map;
  componentFrameCache = new PossiblyWeakMap();
}

function describeNativeComponentFrame(fn, construct) {
  // If something asked for a stack inside a fake render, it should get ignored.
  if ( !fn || reentry) {
    return '';
  }

  {
    var frame = componentFrameCache.get(fn);

    if (frame !== undefined) {
      return frame;
    }
  }

  var control;
  reentry = true;
  var previousPrepareStackTrace = Error.prepareStackTrace; // $FlowFixMe It does accept undefined.

  Error.prepareStackTrace = undefined;
  var previousDispatcher;

  {
    previousDispatcher = ReactCurrentDispatcher.current; // Set the dispatcher in DEV because this might be call in the render function
    // for warnings.

    ReactCurrentDispatcher.current = null;
    disableLogs();
  }

  try {
    // This should throw.
    if (construct) {
      // Something should be setting the props in the constructor.
      var Fake = function () {
        throw Error();
      }; // $FlowFixMe


      Object.defineProperty(Fake.prototype, 'props', {
        set: function () {
          // We use a throwing setter instead of frozen or non-writable props
          // because that won't throw in a non-strict mode function.
          throw Error();
        }
      });

      if (typeof Reflect === 'object' && Reflect.construct) {
        // We construct a different control for this case to include any extra
        // frames added by the construct call.
        try {
          Reflect.construct(Fake, []);
        } catch (x) {
          control = x;
        }

        Reflect.construct(fn, [], Fake);
      } else {
        try {
          Fake.call();
        } catch (x) {
          control = x;
        }

        fn.call(Fake.prototype);
      }
    } else {
      try {
        throw Error();
      } catch (x) {
        control = x;
      }

      fn();
    }
  } catch (sample) {
    // This is inlined manually because closure doesn't do it for us.
    if (sample && control && typeof sample.stack === 'string') {
      // This extracts the first frame from the sample that isn't also in the control.
      // Skipping one frame that we assume is the frame that calls the two.
      var sampleLines = sample.stack.split('\n');
      var controlLines = control.stack.split('\n');
      var s = sampleLines.length - 1;
      var c = controlLines.length - 1;

      while (s >= 1 && c >= 0 && sampleLines[s] !== controlLines[c]) {
        // We expect at least one stack frame to be shared.
        // Typically this will be the root most one. However, stack frames may be
        // cut off due to maximum stack limits. In this case, one maybe cut off
        // earlier than the other. We assume that the sample is longer or the same
        // and there for cut off earlier. So we should find the root most frame in
        // the sample somewhere in the control.
        c--;
      }

      for (; s >= 1 && c >= 0; s--, c--) {
        // Next we find the first one that isn't the same which should be the
        // frame that called our sample function and the control.
        if (sampleLines[s] !== controlLines[c]) {
          // In V8, the first line is describing the message but other VMs don't.
          // If we're about to return the first line, and the control is also on the same
          // line, that's a pretty good indicator that our sample threw at same line as
          // the control. I.e. before we entered the sample frame. So we ignore this result.
          // This can happen if you passed a class to function component, or non-function.
          if (s !== 1 || c !== 1) {
            do {
              s--;
              c--; // We may still have similar intermediate frames from the construct call.
              // The next one that isn't the same should be our match though.

              if (c < 0 || sampleLines[s] !== controlLines[c]) {
                // V8 adds a "new" prefix for native classes. Let's remove it to make it prettier.
                var _frame = '\n' + sampleLines[s].replace(' at new ', ' at '); // If our component frame is labeled "<anonymous>"
                // but we have a user-provided "displayName"
                // splice it in to make the stack more readable.


                if (fn.displayName && _frame.includes('<anonymous>')) {
                  _frame = _frame.replace('<anonymous>', fn.displayName);
                }

                {
                  if (typeof fn === 'function') {
                    componentFrameCache.set(fn, _frame);
                  }
                } // Return the line we found.


                return _frame;
              }
            } while (s >= 1 && c >= 0);
          }

          break;
        }
      }
    }
  } finally {
    reentry = false;

    {
      ReactCurrentDispatcher.current = previousDispatcher;
      reenableLogs();
    }

    Error.prepareStackTrace = previousPrepareStackTrace;
  } // Fallback to just using the name if we couldn't make it throw.


  var name = fn ? fn.displayName || fn.name : '';
  var syntheticFrame = name ? describeBuiltInComponentFrame(name) : '';

  {
    if (typeof fn === 'function') {
      componentFrameCache.set(fn, syntheticFrame);
    }
  }

  return syntheticFrame;
}
function describeFunctionComponentFrame(fn, source, ownerFn) {
  {
    return describeNativeComponentFrame(fn, false);
  }
}

function shouldConstruct(Component) {
  var prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}

function describeUnknownElementTypeFrameInDEV(type, source, ownerFn) {

  if (type == null) {
    return '';
  }

  if (typeof type === 'function') {
    {
      return describeNativeComponentFrame(type, shouldConstruct(type));
    }
  }

  if (typeof type === 'string') {
    return describeBuiltInComponentFrame(type);
  }

  switch (type) {
    case REACT_SUSPENSE_TYPE:
      return describeBuiltInComponentFrame('Suspense');

    case REACT_SUSPENSE_LIST_TYPE:
      return describeBuiltInComponentFrame('SuspenseList');
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_FORWARD_REF_TYPE:
        return describeFunctionComponentFrame(type.render);

      case REACT_MEMO_TYPE:
        // Memo may contain any component type so we recursively resolve it.
        return describeUnknownElementTypeFrameInDEV(type.type, source, ownerFn);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            // Lazy may contain any component type so we recursively resolve it.
            return describeUnknownElementTypeFrameInDEV(init(payload), source, ownerFn);
          } catch (x) {}
        }
    }
  }

  return '';
}

var hasOwnProperty = Object.prototype.hasOwnProperty;

var loggedTypeFailures = {};
var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame.setExtraStackFrame(null);
    }
  }
}

function checkPropTypes(typeSpecs, values, location, componentName, element) {
  {
    // $FlowFixMe This is okay but Flow doesn't know it.
    var has = Function.call.bind(hasOwnProperty);

    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error$1 = void 0; // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.

        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            // eslint-disable-next-line react-internal/prod-error-codes
            var err = Error((componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' + 'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.' + 'This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.');
            err.name = 'Invariant Violation';
            throw err;
          }

          error$1 = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED');
        } catch (ex) {
          error$1 = ex;
        }

        if (error$1 && !(error$1 instanceof Error)) {
          setCurrentlyValidatingElement(element);

          error('%s: type specification of %s' + ' `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', location, typeSpecName, typeof error$1);

          setCurrentlyValidatingElement(null);
        }

        if (error$1 instanceof Error && !(error$1.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error$1.message] = true;
          setCurrentlyValidatingElement(element);

          error('Failed %s type: %s', location, error$1.message);

          setCurrentlyValidatingElement(null);
        }
      }
    }
  }
}

var isArrayImpl = Array.isArray; // eslint-disable-next-line no-redeclare

function isArray(a) {
  return isArrayImpl(a);
}

/*
 * The `'' + value` pattern (used in in perf-sensitive code) throws for Symbol
 * and Temporal.* types. See https://github.com/facebook/react/pull/22064.
 *
 * The functions in this module will throw an easier-to-understand,
 * easier-to-debug exception with a clear errors message message explaining the
 * problem. (Instead of a confusing exception thrown inside the implementation
 * of the `value` object).
 */
// $FlowFixMe only called in DEV, so void return is not possible.
function typeName(value) {
  {
    // toStringTag is needed for namespaced types like Temporal.Instant
    var hasToStringTag = typeof Symbol === 'function' && Symbol.toStringTag;
    var type = hasToStringTag && value[Symbol.toStringTag] || value.constructor.name || 'Object';
    return type;
  }
} // $FlowFixMe only called in DEV, so void return is not possible.


function willCoercionThrow(value) {
  {
    try {
      testStringCoercion(value);
      return false;
    } catch (e) {
      return true;
    }
  }
}

function testStringCoercion(value) {
  // If you ended up here by following an exception call stack, here's what's
  // happened: you supplied an object or symbol value to React (as a prop, key,
  // DOM attribute, CSS property, string ref, etc.) and when React tried to
  // coerce it to a string using `'' + value`, an exception was thrown.
  //
  // The most common types that will cause this exception are `Symbol` instances
  // and Temporal objects like `Temporal.Instant`. But any object that has a
  // `valueOf` or `[Symbol.toPrimitive]` method that throws will also cause this
  // exception. (Library authors do this to prevent users from using built-in
  // numeric operators like `+` or comparison operators like `>=` because custom
  // methods are needed to perform accurate arithmetic or comparison.)
  //
  // To fix the problem, coerce this object or symbol value to a string before
  // passing it to React. The most reliable way is usually `String(value)`.
  //
  // To find which value is throwing, check the browser or debugger console.
  // Before this exception was thrown, there should be `console.error` output
  // that shows the type (Symbol, Temporal.PlainDate, etc.) that caused the
  // problem and how that type was used: key, atrribute, input value prop, etc.
  // In most cases, this console output also shows the component and its
  // ancestor components where the exception happened.
  //
  // eslint-disable-next-line react-internal/safe-string-coercion
  return '' + value;
}
function checkKeyStringCoercion(value) {
  {
    if (willCoercionThrow(value)) {
      error('The provided key is an unsupported type %s.' + ' This value must be coerced to a string before before using it here.', typeName(value));

      return testStringCoercion(value); // throw (to help callers find troubleshooting comments)
    }
  }
}

var ReactCurrentOwner = ReactSharedInternals.ReactCurrentOwner;
var RESERVED_PROPS = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
var specialPropKeyWarningShown;
var specialPropRefWarningShown;
var didWarnAboutStringRefs;

{
  didWarnAboutStringRefs = {};
}

function hasValidRef(config) {
  {
    if (hasOwnProperty.call(config, 'ref')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'ref').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.ref !== undefined;
}

function hasValidKey(config) {
  {
    if (hasOwnProperty.call(config, 'key')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'key').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.key !== undefined;
}

function warnIfStringRefCannotBeAutoConverted(config, self) {
  {
    if (typeof config.ref === 'string' && ReactCurrentOwner.current && self && ReactCurrentOwner.current.stateNode !== self) {
      var componentName = getComponentNameFromType(ReactCurrentOwner.current.type);

      if (!didWarnAboutStringRefs[componentName]) {
        error('Component "%s" contains the string ref "%s". ' + 'Support for string refs will be removed in a future major release. ' + 'This case cannot be automatically converted to an arrow function. ' + 'We ask you to manually fix this case by using useRef() or createRef() instead. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-string-ref', getComponentNameFromType(ReactCurrentOwner.current.type), config.ref);

        didWarnAboutStringRefs[componentName] = true;
      }
    }
  }
}

function defineKeyPropWarningGetter(props, displayName) {
  {
    var warnAboutAccessingKey = function () {
      if (!specialPropKeyWarningShown) {
        specialPropKeyWarningShown = true;

        error('%s: `key` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    };

    warnAboutAccessingKey.isReactWarning = true;
    Object.defineProperty(props, 'key', {
      get: warnAboutAccessingKey,
      configurable: true
    });
  }
}

function defineRefPropWarningGetter(props, displayName) {
  {
    var warnAboutAccessingRef = function () {
      if (!specialPropRefWarningShown) {
        specialPropRefWarningShown = true;

        error('%s: `ref` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    };

    warnAboutAccessingRef.isReactWarning = true;
    Object.defineProperty(props, 'ref', {
      get: warnAboutAccessingRef,
      configurable: true
    });
  }
}
/**
 * Factory method to create a new React element. This no longer adheres to
 * the class pattern, so do not use new to call it. Also, instanceof check
 * will not work. Instead test $$typeof field against Symbol.for('react.element') to check
 * if something is a React Element.
 *
 * @param {*} type
 * @param {*} props
 * @param {*} key
 * @param {string|object} ref
 * @param {*} owner
 * @param {*} self A *temporary* helper to detect places where `this` is
 * different from the `owner` when React.createElement is called, so that we
 * can warn. We want to get rid of owner and replace string `ref`s with arrow
 * functions, and as long as `this` and owner are the same, there will be no
 * change in behavior.
 * @param {*} source An annotation object (added by a transpiler or otherwise)
 * indicating filename, line number, and/or other information.
 * @internal
 */


var ReactElement = function (type, key, ref, self, source, owner, props) {
  var element = {
    // This tag allows us to uniquely identify this as a React Element
    $$typeof: REACT_ELEMENT_TYPE,
    // Built-in properties that belong on the element
    type: type,
    key: key,
    ref: ref,
    props: props,
    // Record the component responsible for creating this element.
    _owner: owner
  };

  {
    // The validation flag is currently mutative. We put it on
    // an external backing store so that we can freeze the whole object.
    // This can be replaced with a WeakMap once they are implemented in
    // commonly used development environments.
    element._store = {}; // To make comparing ReactElements easier for testing purposes, we make
    // the validation flag non-enumerable (where possible, which should
    // include every environment we run tests in), so the test framework
    // ignores it.

    Object.defineProperty(element._store, 'validated', {
      configurable: false,
      enumerable: false,
      writable: true,
      value: false
    }); // self and source are DEV only properties.

    Object.defineProperty(element, '_self', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: self
    }); // Two elements created in two different places should be considered
    // equal for testing purposes and therefore we hide it from enumeration.

    Object.defineProperty(element, '_source', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: source
    });

    if (Object.freeze) {
      Object.freeze(element.props);
      Object.freeze(element);
    }
  }

  return element;
};
/**
 * https://github.com/reactjs/rfcs/pull/107
 * @param {*} type
 * @param {object} props
 * @param {string} key
 */

function jsxDEV(type, config, maybeKey, source, self) {
  {
    var propName; // Reserved names are extracted

    var props = {};
    var key = null;
    var ref = null; // Currently, key can be spread in as a prop. This causes a potential
    // issue if key is also explicitly declared (ie. <div {...props} key="Hi" />
    // or <div key="Hi" {...props} /> ). We want to deprecate key spread,
    // but as an intermediary step, we will use jsxDEV for everything except
    // <div {...props} key="Hi" />, because we aren't currently able to tell if
    // key is explicitly declared to be undefined or not.

    if (maybeKey !== undefined) {
      {
        checkKeyStringCoercion(maybeKey);
      }

      key = '' + maybeKey;
    }

    if (hasValidKey(config)) {
      {
        checkKeyStringCoercion(config.key);
      }

      key = '' + config.key;
    }

    if (hasValidRef(config)) {
      ref = config.ref;
      warnIfStringRefCannotBeAutoConverted(config, self);
    } // Remaining properties are added to a new props object


    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        props[propName] = config[propName];
      }
    } // Resolve default props


    if (type && type.defaultProps) {
      var defaultProps = type.defaultProps;

      for (propName in defaultProps) {
        if (props[propName] === undefined) {
          props[propName] = defaultProps[propName];
        }
      }
    }

    if (key || ref) {
      var displayName = typeof type === 'function' ? type.displayName || type.name || 'Unknown' : type;

      if (key) {
        defineKeyPropWarningGetter(props, displayName);
      }

      if (ref) {
        defineRefPropWarningGetter(props, displayName);
      }
    }

    return ReactElement(type, key, ref, self, source, ReactCurrentOwner.current, props);
  }
}

var ReactCurrentOwner$1 = ReactSharedInternals.ReactCurrentOwner;
var ReactDebugCurrentFrame$1 = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement$1(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame$1.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame$1.setExtraStackFrame(null);
    }
  }
}

var propTypesMisspellWarningShown;

{
  propTypesMisspellWarningShown = false;
}
/**
 * Verifies the object is a ReactElement.
 * See https://reactjs.org/docs/react-api.html#isvalidelement
 * @param {?object} object
 * @return {boolean} True if `object` is a ReactElement.
 * @final
 */


function isValidElement(object) {
  {
    return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
  }
}

function getDeclarationErrorAddendum() {
  {
    if (ReactCurrentOwner$1.current) {
      var name = getComponentNameFromType(ReactCurrentOwner$1.current.type);

      if (name) {
        return '\n\nCheck the render method of `' + name + '`.';
      }
    }

    return '';
  }
}

function getSourceInfoErrorAddendum(source) {
  {
    if (source !== undefined) {
      var fileName = source.fileName.replace(/^.*[\\\/]/, '');
      var lineNumber = source.lineNumber;
      return '\n\nCheck your code at ' + fileName + ':' + lineNumber + '.';
    }

    return '';
  }
}
/**
 * Warn if there's no key explicitly set on dynamic arrays of children or
 * object keys are not valid. This allows us to keep track of children between
 * updates.
 */


var ownerHasKeyUseWarning = {};

function getCurrentComponentErrorInfo(parentType) {
  {
    var info = getDeclarationErrorAddendum();

    if (!info) {
      var parentName = typeof parentType === 'string' ? parentType : parentType.displayName || parentType.name;

      if (parentName) {
        info = "\n\nCheck the top-level render call using <" + parentName + ">.";
      }
    }

    return info;
  }
}
/**
 * Warn if the element doesn't have an explicit key assigned to it.
 * This element is in an array. The array could grow and shrink or be
 * reordered. All children that haven't already been validated are required to
 * have a "key" property assigned to it. Error statuses are cached so a warning
 * will only be shown once.
 *
 * @internal
 * @param {ReactElement} element Element that requires a key.
 * @param {*} parentType element's parent's type.
 */


function validateExplicitKey(element, parentType) {
  {
    if (!element._store || element._store.validated || element.key != null) {
      return;
    }

    element._store.validated = true;
    var currentComponentErrorInfo = getCurrentComponentErrorInfo(parentType);

    if (ownerHasKeyUseWarning[currentComponentErrorInfo]) {
      return;
    }

    ownerHasKeyUseWarning[currentComponentErrorInfo] = true; // Usually the current owner is the offender, but if it accepts children as a
    // property, it may be the creator of the child that's responsible for
    // assigning it a key.

    var childOwner = '';

    if (element && element._owner && element._owner !== ReactCurrentOwner$1.current) {
      // Give the component that originally created this child.
      childOwner = " It was passed a child from " + getComponentNameFromType(element._owner.type) + ".";
    }

    setCurrentlyValidatingElement$1(element);

    error('Each child in a list should have a unique "key" prop.' + '%s%s See https://reactjs.org/link/warning-keys for more information.', currentComponentErrorInfo, childOwner);

    setCurrentlyValidatingElement$1(null);
  }
}
/**
 * Ensure that every element either is passed in a static location, in an
 * array with an explicit keys property defined, or in an object literal
 * with valid key property.
 *
 * @internal
 * @param {ReactNode} node Statically passed child of any type.
 * @param {*} parentType node's parent's type.
 */


function validateChildKeys(node, parentType) {
  {
    if (typeof node !== 'object') {
      return;
    }

    if (isArray(node)) {
      for (var i = 0; i < node.length; i++) {
        var child = node[i];

        if (isValidElement(child)) {
          validateExplicitKey(child, parentType);
        }
      }
    } else if (isValidElement(node)) {
      // This element was passed in a valid location.
      if (node._store) {
        node._store.validated = true;
      }
    } else if (node) {
      var iteratorFn = getIteratorFn(node);

      if (typeof iteratorFn === 'function') {
        // Entry iterators used to provide implicit keys,
        // but now we print a separate warning for them later.
        if (iteratorFn !== node.entries) {
          var iterator = iteratorFn.call(node);
          var step;

          while (!(step = iterator.next()).done) {
            if (isValidElement(step.value)) {
              validateExplicitKey(step.value, parentType);
            }
          }
        }
      }
    }
  }
}
/**
 * Given an element, validate that its props follow the propTypes definition,
 * provided by the type.
 *
 * @param {ReactElement} element
 */


function validatePropTypes(element) {
  {
    var type = element.type;

    if (type === null || type === undefined || typeof type === 'string') {
      return;
    }

    var propTypes;

    if (typeof type === 'function') {
      propTypes = type.propTypes;
    } else if (typeof type === 'object' && (type.$$typeof === REACT_FORWARD_REF_TYPE || // Note: Memo only checks outer props here.
    // Inner props are checked in the reconciler.
    type.$$typeof === REACT_MEMO_TYPE)) {
      propTypes = type.propTypes;
    } else {
      return;
    }

    if (propTypes) {
      // Intentionally inside to avoid triggering lazy initializers:
      var name = getComponentNameFromType(type);
      checkPropTypes(propTypes, element.props, 'prop', name, element);
    } else if (type.PropTypes !== undefined && !propTypesMisspellWarningShown) {
      propTypesMisspellWarningShown = true; // Intentionally inside to avoid triggering lazy initializers:

      var _name = getComponentNameFromType(type);

      error('Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?', _name || 'Unknown');
    }

    if (typeof type.getDefaultProps === 'function' && !type.getDefaultProps.isReactClassApproved) {
      error('getDefaultProps is only used on classic React.createClass ' + 'definitions. Use a static property named `defaultProps` instead.');
    }
  }
}
/**
 * Given a fragment, validate that it can only be provided with fragment props
 * @param {ReactElement} fragment
 */


function validateFragmentProps(fragment) {
  {
    var keys = Object.keys(fragment.props);

    for (var i = 0; i < keys.length; i++) {
      var key = keys[i];

      if (key !== 'children' && key !== 'key') {
        setCurrentlyValidatingElement$1(fragment);

        error('Invalid prop `%s` supplied to `React.Fragment`. ' + 'React.Fragment can only have `key` and `children` props.', key);

        setCurrentlyValidatingElement$1(null);
        break;
      }
    }

    if (fragment.ref !== null) {
      setCurrentlyValidatingElement$1(fragment);

      error('Invalid attribute `ref` supplied to `React.Fragment`.');

      setCurrentlyValidatingElement$1(null);
    }
  }
}

var didWarnAboutKeySpread = {};
function jsxWithValidation(type, props, key, isStaticChildren, source, self) {
  {
    var validType = isValidElementType(type); // We warn in this case but don't throw. We expect the element creation to
    // succeed and there will likely be errors in render.

    if (!validType) {
      var info = '';

      if (type === undefined || typeof type === 'object' && type !== null && Object.keys(type).length === 0) {
        info += ' You likely forgot to export your component from the file ' + "it's defined in, or you might have mixed up default and named imports.";
      }

      var sourceInfo = getSourceInfoErrorAddendum(source);

      if (sourceInfo) {
        info += sourceInfo;
      } else {
        info += getDeclarationErrorAddendum();
      }

      var typeString;

      if (type === null) {
        typeString = 'null';
      } else if (isArray(type)) {
        typeString = 'array';
      } else if (type !== undefined && type.$$typeof === REACT_ELEMENT_TYPE) {
        typeString = "<" + (getComponentNameFromType(type.type) || 'Unknown') + " />";
        info = ' Did you accidentally export a JSX literal instead of a component?';
      } else {
        typeString = typeof type;
      }

      error('React.jsx: type is invalid -- expected a string (for ' + 'built-in components) or a class/function (for composite ' + 'components) but got: %s.%s', typeString, info);
    }

    var element = jsxDEV(type, props, key, source, self); // The result can be nullish if a mock or a custom function is used.
    // TODO: Drop this when these are no longer allowed as the type argument.

    if (element == null) {
      return element;
    } // Skip key warning if the type isn't valid since our key validation logic
    // doesn't expect a non-string/function type and can throw confusing errors.
    // We don't want exception behavior to differ between dev and prod.
    // (Rendering will throw with a helpful message and as soon as the type is
    // fixed, the key warnings will appear.)


    if (validType) {
      var children = props.children;

      if (children !== undefined) {
        if (isStaticChildren) {
          if (isArray(children)) {
            for (var i = 0; i < children.length; i++) {
              validateChildKeys(children[i], type);
            }

            if (Object.freeze) {
              Object.freeze(children);
            }
          } else {
            error('React.jsx: Static children should always be an array. ' + 'You are likely explicitly calling React.jsxs or React.jsxDEV. ' + 'Use the Babel transform instead.');
          }
        } else {
          validateChildKeys(children, type);
        }
      }
    }

    {
      if (hasOwnProperty.call(props, 'key')) {
        var componentName = getComponentNameFromType(type);
        var keys = Object.keys(props).filter(function (k) {
          return k !== 'key';
        });
        var beforeExample = keys.length > 0 ? '{key: someKey, ' + keys.join(': ..., ') + ': ...}' : '{key: someKey}';

        if (!didWarnAboutKeySpread[componentName + beforeExample]) {
          var afterExample = keys.length > 0 ? '{' + keys.join(': ..., ') + ': ...}' : '{}';

          error('A props object containing a "key" prop is being spread into JSX:\n' + '  let props = %s;\n' + '  <%s {...props} />\n' + 'React keys must be passed directly to JSX without using spread:\n' + '  let props = %s;\n' + '  <%s key={someKey} {...props} />', beforeExample, componentName, afterExample, componentName);

          didWarnAboutKeySpread[componentName + beforeExample] = true;
        }
      }
    }

    if (type === REACT_FRAGMENT_TYPE) {
      validateFragmentProps(element);
    } else {
      validatePropTypes(element);
    }

    return element;
  }
} // These two functions exist to still get child warnings in dev
// even with the prod transform. This means that jsxDEV is purely
// opt-in behavior for better messages but that we won't stop
// giving you warnings if you use production apis.

function jsxWithValidationStatic(type, props, key) {
  {
    return jsxWithValidation(type, props, key, true);
  }
}
function jsxWithValidationDynamic(type, props, key) {
  {
    return jsxWithValidation(type, props, key, false);
  }
}

var jsx =  jsxWithValidationDynamic ; // we may want to special case jsxs internally to take advantage of static children.
// for now we can ship identical prod functions

var jsxs =  jsxWithValidationStatic ;

exports.Fragment = REACT_FRAGMENT_TYPE;
exports.jsx = jsx;
exports.jsxs = jsxs;
  })();
}


/***/ }),

/***/ "../../node_modules/react/jsx-runtime.js":
/*!***********************************************!*\
  !*** ../../node_modules/react/jsx-runtime.js ***!
  \***********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) // removed by dead control flow
{} else {
  module.exports = __webpack_require__(/*! ./cjs/react-jsx-runtime.development.js */ "../../node_modules/react/cjs/react-jsx-runtime.development.js");
}


/***/ }),

/***/ "./src/Stepper.constants.js":
/*!**********************************!*\
  !*** ./src/Stepper.constants.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LOADING_STEPS_INIT: () => (/* binding */ LOADING_STEPS_INIT),
/* harmony export */   LOADING_STEPS_PROCEED_EVENT: () => (/* binding */ LOADING_STEPS_PROCEED_EVENT),
/* harmony export */   LOADING_STEPS_REMOVE: () => (/* binding */ LOADING_STEPS_REMOVE),
/* harmony export */   LOADING_STEP_STATUSES: () => (/* binding */ LOADING_STEP_STATUSES),
/* harmony export */   STATE_KEY: () => (/* binding */ STATE_KEY),
/* harmony export */   initialState: () => (/* binding */ initialState)
/* harmony export */ });
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @talend/react-components */ "@talend/react-components");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_talend_react_components__WEBPACK_IMPORTED_MODULE_0__);

const initialState = {};
const STATE_KEY = 'stepper';
const LOADING_STEPS_REMOVE = 'LOADING_STEPS_REMOVE';
const LOADING_STEPS_INIT = 'LOADING_STEPS_INIT';
const LOADING_STEPS_PROCEED_EVENT = 'LOADING_STEPS_PROCEED_EVENT';
const LOADING_STEP_STATUSES = _talend_react_components__WEBPACK_IMPORTED_MODULE_0__.Stepper.LOADING_STEP_STATUSES;

/***/ }),

/***/ "./src/components/StepperForm/StepFooter/StepFooter.component.tsx":
/*!************************************************************************!*\
  !*** ./src/components/StepperForm/StepFooter/StepFooter.component.tsx ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepFooter: () => (/* binding */ StepFooter)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_i18next__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-i18next */ "react-i18next");
/* harmony import */ var react_i18next__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_i18next__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @talend/design-system */ "@talend/design-system");
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _constants_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../constants/i18n */ "./src/constants/i18n.ts");
/* harmony import */ var _StepperForm_context__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../StepperForm.context */ "./src/components/StepperForm/StepperForm.context.tsx");
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../StepperForm.module.scss */ "./src/components/StepperForm/StepperForm.module.scss");
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");







const StepFooter = ({
  children,
  dataFeature,
  isLoading,
  onCancel,
  onPrevious,
  onNext
}) => {
  const {
    t
  } = (0,react_i18next__WEBPACK_IMPORTED_MODULE_1__.useTranslation)(_constants_i18n__WEBPACK_IMPORTED_MODULE_3__["default"].STEPPER_NAMESPACE);
  const {
    currentStep,
    steps
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_StepperForm_context__WEBPACK_IMPORTED_MODULE_4__.StepperFormContext);
  const currentStepNavigation = steps[currentStep].navigation;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
    className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default()["stepper-form__footer"]),
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__.StackHorizontal, {
      gap: "M",
      align: "center",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__.ButtonSecondary, {
        onClick: onCancel,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.cancel,
        children: t('CANCEL', 'Cancel')
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__.Divider, {
        orientation: "vertical"
      }), onPrevious && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__.ButtonSecondary, {
        onClick: onPrevious,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.previous,
        children: t('PREVIOUS', 'Previous')
      }), children, onNext && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_talend_design_system__WEBPACK_IMPORTED_MODULE_2__.ButtonPrimary, {
        onClick: onNext,
        "data-feature": dataFeature === null || dataFeature === void 0 ? void 0 : dataFeature.next,
        disabled: isLoading,
        children: currentStepNavigation !== null && currentStepNavigation !== void 0 && currentStepNavigation.next ? t('NEXT', 'Next') : t('VALIDATE', 'Validate')
      })]
    })
  });
};

/***/ }),

/***/ "./src/components/StepperForm/StepFooter/index.ts":
/*!********************************************************!*\
  !*** ./src/components/StepperForm/StepFooter/index.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepFooter: () => (/* reexport safe */ _StepFooter_component__WEBPACK_IMPORTED_MODULE_0__.StepFooter)
/* harmony export */ });
/* harmony import */ var _StepFooter_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./StepFooter.component */ "./src/components/StepperForm/StepFooter/StepFooter.component.tsx");


/***/ }),

/***/ "./src/components/StepperForm/StepHeader/StepHeader.component.tsx":
/*!************************************************************************!*\
  !*** ./src/components/StepperForm/StepHeader/StepHeader.component.tsx ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepHeader: () => (/* binding */ StepHeader)
/* harmony export */ });
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../StepperForm.module.scss */ "./src/components/StepperForm/StepperForm.module.scss");
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");


const StepHeader = ({
  title,
  subtitle
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.Fragment, {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("h2", {
      className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_0___default()["stepper-form__header__title"]),
      children: title
    }), subtitle && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("span", {
      className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_0___default()["stepper-form__header__subtitle"]),
      children: subtitle
    })]
  });
};

/***/ }),

/***/ "./src/components/StepperForm/StepHeader/index.ts":
/*!********************************************************!*\
  !*** ./src/components/StepperForm/StepHeader/index.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepHeader: () => (/* reexport safe */ _StepHeader_component__WEBPACK_IMPORTED_MODULE_0__.StepHeader)
/* harmony export */ });
/* harmony import */ var _StepHeader_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./StepHeader.component */ "./src/components/StepperForm/StepHeader/StepHeader.component.tsx");


/***/ }),

/***/ "./src/components/StepperForm/StepperForm.component.tsx":
/*!**************************************************************!*\
  !*** ./src/components/StepperForm/StepperForm.component.tsx ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @talend/design-system */ "@talend/design-system");
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_talend_design_system__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _StepHeader__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./StepHeader */ "./src/components/StepperForm/StepHeader/index.ts");
/* harmony import */ var _StepperForm_context__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./StepperForm.context */ "./src/components/StepperForm/StepperForm.context.tsx");
/* harmony import */ var _StepperForm_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./StepperForm.utils */ "./src/components/StepperForm/StepperForm.utils.ts");
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./StepperForm.module.scss */ "./src/components/StepperForm/StepperForm.module.scss");
/* harmony import */ var _StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");







const StepperForm = ({
  isLoading
}) => {
  const {
    steps,
    currentStep
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_StepperForm_context__WEBPACK_IMPORTED_MODULE_3__.StepperFormContext);
  const currentStepData = steps[currentStep];
  const Component = currentStepData.component;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
    className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default()["stepper-form"]),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
      className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default()["stepper-form__steps"]),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_talend_design_system__WEBPACK_IMPORTED_MODULE_1__.Stepper, {
        currentStepIndex: currentStep,
        loading: isLoading,
        children: steps.map((step, index) => {
          var _navigation$disableCa;
          const {
            key,
            navigation,
            tooltip,
            name
          } = step;
          const Step = (0,_StepperForm_utils__WEBPACK_IMPORTED_MODULE_4__.getStepComponent)(currentStep, index, !!(navigation !== null && navigation !== void 0 && navigation.disableCause));
          return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(Step, {
            tooltip: (_navigation$disableCa = navigation === null || navigation === void 0 ? void 0 : navigation.disableCause) !== null && _navigation$disableCa !== void 0 ? _navigation$disableCa : tooltip,
            title: name
          }, `step-${key}`);
        })
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default()["stepper-form__container"]),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_StepHeader__WEBPACK_IMPORTED_MODULE_2__.StepHeader, {
        ...currentStepData.header
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("section", {
        className: (_StepperForm_module_scss__WEBPACK_IMPORTED_MODULE_5___default()["stepper-form__content"]),
        "data-testid": currentStepData.key,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(Component, {})
      })]
    })]
  });
};
StepperForm.displayName = 'StepperForm';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (StepperForm);

/***/ }),

/***/ "./src/components/StepperForm/StepperForm.context.tsx":
/*!************************************************************!*\
  !*** ./src/components/StepperForm/StepperForm.context.tsx ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepperFormContext: () => (/* binding */ StepperFormContext),
/* harmony export */   StepperFormProvider: () => (/* binding */ StepperFormProvider)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _hooks_useStepperForm_useStepperForm_hook__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../hooks/useStepperForm/useStepperForm.hook */ "./src/hooks/useStepperForm/useStepperForm.hook.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");



const emptyFn = () => {};
const StepperFormContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)({
  disableStep: emptyFn,
  enableStep: emptyFn,
  onNext: emptyFn,
  onPrevious: emptyFn,
  steps: [],
  currentStep: 0
});
const StepperFormProvider = ({
  children,
  initialStepIndex = 0,
  steps,
  onSubmit
}) => {
  const {
    currentStep,
    disableStep,
    enableStep,
    onNextStep,
    onPreviousStep,
    stepperSteps
  } = (0,_hooks_useStepperForm_useStepperForm_hook__WEBPACK_IMPORTED_MODULE_1__.useStepperForm)(steps, initialStepIndex, onSubmit);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(StepperFormContext.Provider, {
    value: {
      currentStep,
      disableStep,
      enableStep,
      onNext: onNextStep,
      onPrevious: onPreviousStep,
      steps: stepperSteps
    },
    children: children
  });
};

/***/ }),

/***/ "./src/components/StepperForm/StepperForm.module.scss":
/*!************************************************************!*\
  !*** ./src/components/StepperForm/StepperForm.module.scss ***!
  \************************************************************/
/***/ ((module) => {

// extracted by mini-css-extract-plugin
module.exports =  {"stepper-form":"StepperForm-module__stepper-form___Yv6gQ","stepper-form__header__title":"StepperForm-module__stepper-form__header__title___RNIi4","stepper-form__header__subtitle":"StepperForm-module__stepper-form__header__subtitle___Czvda","stepper-form__steps":"StepperForm-module__stepper-form__steps___zjJSX","stepper-form__container":"StepperForm-module__stepper-form__container___dNh6u","stepper-form__content":"StepperForm-module__stepper-form__content___wJ8dR","stepper-form__footer":"StepperForm-module__stepper-form__footer___yUpFU","stepper-form__loading":"StepperForm-module__stepper-form__loading___F4HVl"};

/***/ }),

/***/ "./src/components/StepperForm/StepperForm.utils.ts":
/*!*********************************************************!*\
  !*** ./src/components/StepperForm/StepperForm.utils.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getStepComponent: () => (/* binding */ getStepComponent),
/* harmony export */   getStepperState: () => (/* binding */ getStepperState)
/* harmony export */ });
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @talend/design-system */ "@talend/design-system");
/* harmony import */ var _talend_design_system__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_talend_design_system__WEBPACK_IMPORTED_MODULE_0__);

const getStepComponent = (current, index, isDisabled = false) => {
  if (isDisabled) {
    return _talend_design_system__WEBPACK_IMPORTED_MODULE_0__.Stepper.Step.Disabled;
  } else if (current === index) {
    return _talend_design_system__WEBPACK_IMPORTED_MODULE_0__.Stepper.Step.InProgress;
  } else if (current > index) {
    return _talend_design_system__WEBPACK_IMPORTED_MODULE_0__.Stepper.Step.Validated;
  }
  return _talend_design_system__WEBPACK_IMPORTED_MODULE_0__.Stepper.Step.Enabled;
};
const getStepperState = initialSteps => {
  const steps = [];
  initialSteps.forEach((step, index) => {
    steps.push({
      ...step,
      navigation: {
        previous: index - 1 >= 0 ? initialSteps[index - 1].key : undefined,
        next: index + 1 < initialSteps.length ? initialSteps[index + 1].key : undefined
      }
    });
  });
  return steps;
};

/***/ }),

/***/ "./src/components/StepperForm/StepperFormContainer/StepperFormContainer.component.tsx":
/*!********************************************************************************************!*\
  !*** ./src/components/StepperForm/StepperFormContainer/StepperFormContainer.component.tsx ***!
  \********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepperFormContainer: () => (/* binding */ StepperFormContainer)
/* harmony export */ });
/* harmony import */ var _StepperForm_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../StepperForm.component */ "./src/components/StepperForm/StepperForm.component.tsx");
/* harmony import */ var _StepperForm_context__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../StepperForm.context */ "./src/components/StepperForm/StepperForm.context.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");



const StepperFormContainer = ({
  initialStepIndex,
  steps,
  onSubmit
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_StepperForm_context__WEBPACK_IMPORTED_MODULE_1__.StepperFormProvider, {
    initialStepIndex: initialStepIndex,
    steps: steps,
    onSubmit: onSubmit,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_StepperForm_component__WEBPACK_IMPORTED_MODULE_0__["default"], {})
  });
};
StepperFormContainer.displayName = 'StepperFormContainer';

/***/ }),

/***/ "./src/components/StepperForm/StepperFormContainer/index.ts":
/*!******************************************************************!*\
  !*** ./src/components/StepperForm/StepperFormContainer/index.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepperFormContainer: () => (/* reexport safe */ _StepperFormContainer_component__WEBPACK_IMPORTED_MODULE_0__.StepperFormContainer)
/* harmony export */ });
/* harmony import */ var _StepperFormContainer_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./StepperFormContainer.component */ "./src/components/StepperForm/StepperFormContainer/StepperFormContainer.component.tsx");


/***/ }),

/***/ "./src/components/StepperForm/index.ts":
/*!*********************************************!*\
  !*** ./src/components/StepperForm/index.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _StepperFormContainer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./StepperFormContainer */ "./src/components/StepperForm/StepperFormContainer/index.ts");
/* harmony import */ var _StepFooter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./StepFooter */ "./src/components/StepperForm/StepFooter/index.ts");
/* harmony import */ var _StepperForm_context__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./StepperForm.context */ "./src/components/StepperForm/StepperForm.context.tsx");



const StepperFormComponent = _StepperFormContainer__WEBPACK_IMPORTED_MODULE_0__.StepperFormContainer;
StepperFormComponent.Context = _StepperForm_context__WEBPACK_IMPORTED_MODULE_2__.StepperFormContext;
StepperFormComponent.Provider = _StepperForm_context__WEBPACK_IMPORTED_MODULE_2__.StepperFormProvider;
StepperFormComponent.Footer = _StepFooter__WEBPACK_IMPORTED_MODULE_1__.StepFooter;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (StepperFormComponent);

/***/ }),

/***/ "./src/constants/i18n.ts":
/*!*******************************!*\
  !*** ./src/constants/i18n.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const STEPPER_NAMESPACE = 'tui-stepper';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  STEPPER_NAMESPACE
});

/***/ }),

/***/ "./src/containers/Stepper.connect.js":
/*!*******************************************!*\
  !*** ./src/containers/Stepper.connect.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   mapStateToProps: () => (/* binding */ mapStateToProps)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _service_Stepper_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../service/Stepper.selectors */ "./src/service/Stepper.selectors.js");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @talend/react-components */ "@talend/react-components");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_talend_react_components__WEBPACK_IMPORTED_MODULE_2__);



const mapStateToProps = (state, ownProps) => ({
  steps: (0,_service_Stepper_selectors__WEBPACK_IMPORTED_MODULE_1__.getStepsForResource)(state, ownProps.resourceType, ownProps.resourceId)
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,react_redux__WEBPACK_IMPORTED_MODULE_0__.connect)(mapStateToProps)(_talend_react_components__WEBPACK_IMPORTED_MODULE_2__.Stepper));

/***/ }),

/***/ "./src/hooks/useStepperForm/useStepperForm.hook.ts":
/*!*********************************************************!*\
  !*** ./src/hooks/useStepperForm/useStepperForm.hook.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   useStepperForm: () => (/* binding */ useStepperForm)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_StepperForm_StepperForm_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/StepperForm/StepperForm.utils */ "./src/components/StepperForm/StepperForm.utils.ts");
/* harmony import */ var _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./useStepperForm.types */ "./src/hooks/useStepperForm/useStepperForm.types.ts");



const handleStepChange = (state, navigation, direction) => {
  const {
    from,
    to
  } = navigation;
  const stepState = state.find(step => step.key === from);
  if (!stepState) {
    return state;
  }
  const newState = [...state];
  const index = state.indexOf(stepState);
  newState[index].navigation = {
    ...stepState.navigation,
    ...(direction === _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__.NavigationDirection.NEXT ? {
      next: to
    } : {
      previous: to
    })
  };
  return newState;
};
const disableStep = (state, stepKey, cause) => {
  var _stepState$navigation, _stepState$navigation2;
  const stepState = state.find(step => step.key === stepKey);
  if (!stepState) {
    return state;
  }
  const nextStep = (_stepState$navigation = stepState.navigation) === null || _stepState$navigation === void 0 ? void 0 : _stepState$navigation.next;
  const previousStep = (_stepState$navigation2 = stepState.navigation) === null || _stepState$navigation2 === void 0 ? void 0 : _stepState$navigation2.previous;
  const index = state.indexOf(stepState);
  let newState = [...state];
  newState[index].navigation = {
    ...stepState.navigation,
    disableCause: cause
  };
  if (nextStep) {
    newState = handleStepChange(newState, {
      from: nextStep,
      to: previousStep
    }, _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__.NavigationDirection.PREVIOUS);
  }
  if (previousStep) {
    newState = handleStepChange(newState, {
      from: previousStep,
      to: nextStep
    }, _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__.NavigationDirection.NEXT);
  }
  return newState;
};
const enableStep = (state, stepKey) => {
  var _stepState$navigation3, _stepState$navigation4, _newState$index$navig;
  const stepState = state.find(step => step.key === stepKey);
  if (!stepState) {
    return state;
  }
  const nextStep = (_stepState$navigation3 = stepState.navigation) === null || _stepState$navigation3 === void 0 ? void 0 : _stepState$navigation3.next;
  const previousStep = (_stepState$navigation4 = stepState.navigation) === null || _stepState$navigation4 === void 0 ? void 0 : _stepState$navigation4.previous;
  const index = state.indexOf(stepState);
  let newState = [...state];
  (_newState$index$navig = newState[index].navigation) === null || _newState$index$navig === void 0 ? true : delete _newState$index$navig.disableCause;
  if (nextStep) {
    newState = handleStepChange(newState, {
      from: nextStep,
      to: stepKey
    }, _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__.NavigationDirection.PREVIOUS);
  }
  if (previousStep) {
    newState = handleStepChange(newState, {
      from: previousStep,
      to: stepKey
    }, _useStepperForm_types__WEBPACK_IMPORTED_MODULE_2__.NavigationDirection.NEXT);
  }
  return newState;
};
const onChangeStep = (stepperState, stepKey) => {
  const stepToGo = stepperState.find(step => step.key === stepKey);
  if (stepToGo) {
    return stepperState.indexOf(stepToGo);
  }
  return;
};
const useStepperForm = (steps, stepIndex, onSubmit) => {
  const [currentStep, setCurrentStep] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(stepIndex);
  const [stepperSteps, setStepperSteps] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((0,_components_StepperForm_StepperForm_utils__WEBPACK_IMPORTED_MODULE_1__.getStepperState)(steps));
  const currentNavigation = stepperSteps[currentStep].navigation;
  return {
    currentStep,
    disableStep: (stepKey, cause) => setStepperSteps(disableStep(stepperSteps, stepKey, cause)),
    enableStep: stepKey => setStepperSteps(enableStep(stepperSteps, stepKey)),
    onNextStep: () => {
      var _ref;
      setCurrentStep((_ref = currentNavigation && onChangeStep(stepperSteps, currentNavigation.next)) !== null && _ref !== void 0 ? _ref : currentStep);
      if (!(currentNavigation !== null && currentNavigation !== void 0 && currentNavigation.next)) {
        onSubmit(currentStep);
      }
    },
    onPreviousStep: () => {
      var _ref2;
      return setCurrentStep((_ref2 = currentNavigation && onChangeStep(stepperSteps, currentNavigation.previous)) !== null && _ref2 !== void 0 ? _ref2 : currentStep);
    },
    stepperSteps
  };
};

/***/ }),

/***/ "./src/hooks/useStepperForm/useStepperForm.types.ts":
/*!**********************************************************!*\
  !*** ./src/hooks/useStepperForm/useStepperForm.types.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NavigationDirection: () => (/* binding */ NavigationDirection)
/* harmony export */ });
let NavigationDirection = /*#__PURE__*/function (NavigationDirection) {
  NavigationDirection["NEXT"] = "next";
  NavigationDirection["PREVIOUS"] = "previous";
  return NavigationDirection;
}({});

/***/ }),

/***/ "./src/service/Stepper.actions.js":
/*!****************************************!*\
  !*** ./src/service/Stepper.actions.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   initStepper: () => (/* binding */ initStepper),
/* harmony export */   proceedLoadingEvent: () => (/* binding */ proceedLoadingEvent),
/* harmony export */   removeStepper: () => (/* binding */ removeStepper)
/* harmony export */ });
/* harmony import */ var _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../Stepper.constants */ "./src/Stepper.constants.js");

function checkResourceParameters(resourceType, resourceId) {
  if (!resourceType) {
    throw new Error('Stepper Reducer : resourceType should be present in the action');
  }
  if (!resourceId) {
    throw new Error('Stepper Reducer : resourceId should be present in the action');
  }
}

/**
 * This function init the store for some loading steps component
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 * @param {array} steps the steps we have to load
 */
function initStepper(resourceType, resourceId, steps = []) {
  checkResourceParameters(resourceType, resourceId);
  return {
    type: _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__.LOADING_STEPS_INIT,
    resourceType,
    resourceId,
    steps
  };
}

/**
 * This function generate an action to tell the loading that we have
 * intercept some event to proceed in the loading process
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 * @param {string} event event catch
 */
function proceedLoadingEvent(resourceType, resourceId, event, messageLabel) {
  checkResourceParameters(resourceType, resourceId);
  return {
    type: _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__.LOADING_STEPS_PROCEED_EVENT,
    resourceType,
    resourceId,
    event,
    message: {
      label: messageLabel
    }
  };
}

/**
 * This function return an action to remove a loading from the store
 * @param {string} resourceType the resource type we load
 * @param {string} resourceId the id of the resource we load
 */
function removeStepper(resourceType, resourceId) {
  checkResourceParameters(resourceType, resourceId);
  return {
    type: _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__.LOADING_STEPS_REMOVE,
    resourceType,
    resourceId
  };
}

/***/ }),

/***/ "./src/service/Stepper.reducer.js":
/*!****************************************!*\
  !*** ./src/service/Stepper.reducer.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ stepperReducer)
/* harmony export */ });
/* harmony import */ var invariant__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! invariant */ "../../node_modules/invariant/browser.js");
/* harmony import */ var invariant__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(invariant__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../Stepper.constants */ "./src/Stepper.constants.js");
/* harmony import */ var _Stepper_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Stepper.utils */ "./src/service/Stepper.utils.js");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @talend/react-components */ "@talend/react-components");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_talend_react_components__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! lodash */ "lodash");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_4__);





const isInStepAttribute = (stepAttribute, value) => typeof stepAttribute === 'string' && stepAttribute === value || Array.isArray(stepAttribute) && stepAttribute.includes(value);
const checkAttribute = attributeName => (step, event) => isInStepAttribute(step[attributeName], event);
const isEventTriggerFail = checkAttribute('failureOn');
const isEventTriggerSuccess = checkAttribute('successOn');
const isEventTriggerLoading = checkAttribute('loadingOn');
function mapStepWithNoError(step, action) {
  if (isEventTriggerSuccess(step, action.event)) {
    return {
      ...step,
      status: _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.SUCCESS
    };
  }
  if (isEventTriggerLoading(step, action.event) && step.status !== _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.SUCCESS) {
    return {
      ...step,
      status: _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.LOADING
    };
  }
  return step;
}
function getNewStepsWithError(steps, action) {
  let errorHandled = false;
  return steps.map(step => {
    if (step.status !== _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.SUCCESS) {
      if (!errorHandled && isEventTriggerFail(step, action.event)) {
        errorHandled = true;
        return {
          ...step,
          status: _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.FAILURE,
          message: action.message
        };
      }
      return {
        ...step,
        status: _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.ABORTED
      };
    }
    return step;
  });
}
const hasAttribute = (step, attribute) => step[attribute] || Array.isArray(step[attribute]) && step[attribute].length > 0;
const hasStepFailure = step => hasAttribute(step, 'failureOn');
const hasStepSuccess = step => hasAttribute(step, 'successOn');
const hasStepLoading = step => hasAttribute(step, 'loadingOn');

/**
 * This function check & mutate the steps
 * @param {array} steps the loading steps
 */
function checkSteps(steps) {
  return steps.map(step => {
    if (!hasStepFailure(step)) {
      invariant__WEBPACK_IMPORTED_MODULE_0___default()("development" === 'production', `Stepper : No failureOn step for ${step.label} step`);
    }
    if (!hasStepSuccess(step)) {
      invariant__WEBPACK_IMPORTED_MODULE_0___default()("development" === 'production', `Stepper : No successOn step for ${step.label} step`);
    }
    if (!hasStepLoading(step) && !step.status) {
      invariant__WEBPACK_IMPORTED_MODULE_0___default()("development" === 'production', `Stepper : No loadingOn step or initial status for ${step.label} step`);
    }
    if (!step.status) {
      return {
        ...step,
        status: _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEP_STATUSES.PENDING
      };
    }
    return step;
  });
}

/**
 * This function change the status of the steps in order to reflect the event
 * @param {object} state redux state
 * @param {object} action the redux action
 */
function handleEvent(state, action) {
  const loadingKey = (0,_Stepper_utils__WEBPACK_IMPORTED_MODULE_2__.getStepperKey)(action);
  const loadingResource = (0,lodash__WEBPACK_IMPORTED_MODULE_4__.get)(state, [loadingKey], {});
  const steps = (0,lodash__WEBPACK_IMPORTED_MODULE_4__.get)(loadingResource, 'steps', []);
  if (!_talend_react_components__WEBPACK_IMPORTED_MODULE_3__.Stepper.isStepsLoading(steps)) {
    return state;
  }
  const isErrorTriggered = !!steps.find(step => isInStepAttribute(step.failureOn, action.event));
  let newSteps;
  if (isErrorTriggered) {
    newSteps = getNewStepsWithError(steps, action);
  } else {
    newSteps = steps.map(step => mapStepWithNoError(step, action));
  }
  return {
    ...state,
    [loadingKey]: {
      ...loadingResource,
      steps: newSteps
    }
  };
}

/**
 * This function is a classic reducer
 * It handle the Loading Steps of a resource
 * @param {object} state Redux state
 * @param {object} action Redux Action
 */
function stepperReducer(state = _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.initialState, action) {
  switch (action.type) {
    case _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEPS_INIT:
      return {
        ...state,
        [(0,_Stepper_utils__WEBPACK_IMPORTED_MODULE_2__.getStepperKey)(action)]: {
          steps: checkSteps(action.steps)
        }
      };
    case _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEPS_REMOVE:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_4__.omit)(state, (0,_Stepper_utils__WEBPACK_IMPORTED_MODULE_2__.getStepperKey)(action));
    case _Stepper_constants__WEBPACK_IMPORTED_MODULE_1__.LOADING_STEPS_PROCEED_EVENT:
      return handleEvent(state, action);
    default:
      return state;
  }
}

/***/ }),

/***/ "./src/service/Stepper.selectors.js":
/*!******************************************!*\
  !*** ./src/service/Stepper.selectors.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getStepsForResource: () => (/* binding */ getStepsForResource),
/* harmony export */   isResourceLoading: () => (/* binding */ isResourceLoading)
/* harmony export */ });
/* harmony import */ var _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../Stepper.constants */ "./src/Stepper.constants.js");
/* harmony import */ var _Stepper_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Stepper.utils */ "./src/service/Stepper.utils.js");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @talend/react-components */ "@talend/react-components");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_talend_react_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lodash */ "lodash");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);




function getStepsForResource(store, resourceType, resourceId) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_3__.get)(store, [_Stepper_constants__WEBPACK_IMPORTED_MODULE_0__.STATE_KEY, (0,_Stepper_utils__WEBPACK_IMPORTED_MODULE_1__.getStepperKey)({
    resourceType,
    resourceId
  }), 'steps'], []);
}
function isResourceLoading(store, resourceType, resourceId) {
  return _talend_react_components__WEBPACK_IMPORTED_MODULE_2__.Stepper.isStepsLoading(getStepsForResource(store, resourceType, resourceId));
}

/***/ }),

/***/ "./src/service/Stepper.utils.js":
/*!**************************************!*\
  !*** ./src/service/Stepper.utils.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getStepperKey: () => (/* binding */ getStepperKey)
/* harmony export */ });
/**
 * This function returns the key to point the loading step in the store
 * It's based on the resourceType / resourceId
 * internally usage only in the loading step service
 * @param {object} action redux action
 */
// eslint-disable-next-line
const getStepperKey = action => `${action.resourceType}-${action.resourceId}`;

/***/ }),

/***/ "@talend/design-system":
/*!*************************************!*\
  !*** external "TalendDesignSystem" ***!
  \*************************************/
/***/ ((module) => {

"use strict";
module.exports = TalendDesignSystem;

/***/ }),

/***/ "@talend/react-components":
/*!****************************************!*\
  !*** external "TalendReactComponents" ***!
  \****************************************/
/***/ ((module) => {

"use strict";
module.exports = TalendReactComponents;

/***/ }),

/***/ "lodash":
/*!********************!*\
  !*** external "_" ***!
  \********************/
/***/ ((module) => {

"use strict";
module.exports = _;

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "React" ***!
  \************************/
/***/ ((module) => {

"use strict";
module.exports = React;

/***/ }),

/***/ "react-i18next":
/*!*******************************!*\
  !*** external "ReactI18next" ***!
  \*******************************/
/***/ ((module) => {

"use strict";
module.exports = ReactI18next;

/***/ }),

/***/ "react-redux":
/*!*****************************!*\
  !*** external "ReactRedux" ***!
  \*****************************/
/***/ ((module) => {

"use strict";
module.exports = ReactRedux;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry needs to be wrapped in an IIFE because it needs to be in strict mode.
(() => {
"use strict";
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StepperActions: () => (/* binding */ StepperActions),
/* harmony export */   StepperComponents: () => (/* binding */ StepperComponents),
/* harmony export */   StepperConstants: () => (/* binding */ StepperConstants),
/* harmony export */   StepperForm: () => (/* reexport safe */ _components_StepperForm__WEBPACK_IMPORTED_MODULE_1__["default"]),
/* harmony export */   StepperSelectors: () => (/* binding */ StepperSelectors),
/* harmony export */   StepperUtils: () => (/* binding */ StepperUtils),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   useStepperForm: () => (/* reexport safe */ _hooks_useStepperForm_useStepperForm_hook__WEBPACK_IMPORTED_MODULE_3__.useStepperForm)
/* harmony export */ });
/* harmony import */ var _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Stepper.constants */ "./src/Stepper.constants.js");
/* harmony import */ var _components_StepperForm__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/StepperForm */ "./src/components/StepperForm/index.ts");
/* harmony import */ var _containers_Stepper_connect__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./containers/Stepper.connect */ "./src/containers/Stepper.connect.js");
/* harmony import */ var _hooks_useStepperForm_useStepperForm_hook__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./hooks/useStepperForm/useStepperForm.hook */ "./src/hooks/useStepperForm/useStepperForm.hook.ts");
/* harmony import */ var _service_Stepper_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./service/Stepper.actions */ "./src/service/Stepper.actions.js");
/* harmony import */ var _service_Stepper_reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./service/Stepper.reducer */ "./src/service/Stepper.reducer.js");
/* harmony import */ var _service_Stepper_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./service/Stepper.selectors */ "./src/service/Stepper.selectors.js");
/* harmony import */ var _service_Stepper_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./service/Stepper.utils */ "./src/service/Stepper.utils.js");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @talend/react-components */ "@talend/react-components");
/* harmony import */ var _talend_react_components__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_talend_react_components__WEBPACK_IMPORTED_MODULE_8__);









const {
  isAllSuccessful,
  isStepsLoading,
  isErrorInSteps
} = _talend_react_components__WEBPACK_IMPORTED_MODULE_8__.Stepper;
const cmfModule = {
  id: 'dataset-stepper',
  reducer: {
    [_Stepper_constants__WEBPACK_IMPORTED_MODULE_0__.STATE_KEY]: _service_Stepper_reducer__WEBPACK_IMPORTED_MODULE_5__["default"]
  }
};
const StepperActions = {
  initStepper: _service_Stepper_actions__WEBPACK_IMPORTED_MODULE_4__.initStepper,
  proceedLoadingEvent: _service_Stepper_actions__WEBPACK_IMPORTED_MODULE_4__.proceedLoadingEvent,
  removeStepper: _service_Stepper_actions__WEBPACK_IMPORTED_MODULE_4__.removeStepper
};
const StepperSelectors = {
  getStepsForResource: _service_Stepper_selectors__WEBPACK_IMPORTED_MODULE_6__.getStepsForResource,
  isResourceLoading: _service_Stepper_selectors__WEBPACK_IMPORTED_MODULE_6__.isResourceLoading
};
const StepperComponents = {
  Stepper: _containers_Stepper_connect__WEBPACK_IMPORTED_MODULE_2__["default"]
};
const StepperUtils = {
  isAllSuccessful,
  isErrorInSteps,
  isStepsLoading,
  getStepperKey: _service_Stepper_utils__WEBPACK_IMPORTED_MODULE_7__.getStepperKey
};
const StepperConstants = _Stepper_constants__WEBPACK_IMPORTED_MODULE_0__;

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  ...cmfModule
});
})();

/******/ 	return __webpack_exports__;
/******/ })()
;
});
//# sourceMappingURL=TalendReactStepper.js.map