import { ReactNode } from 'react';
import { StepperState } from '../../hooks/useStepperForm/useStepperForm.types';
import { StepperStep } from './StepperForm.types';
export interface StepperFormValues {
    currentStep: number;
    disableStep: (stepKey: string, cause: string) => void;
    enableStep: (stepKey: string) => void;
    onNext: () => void;
    onPrevious: () => void;
    steps: StepperState;
}
export declare const StepperFormContext: import("react").Context<StepperFormValues>;
export interface StepperFormProviderProps {
    children: ReactNode;
    initialStepIndex?: number;
    steps: StepperStep[];
    onSubmit: (currentStep: number) => void;
}
export declare const StepperFormProvider: ({ children, initialStepIndex, steps, onSubmit, }: StepperFormProviderProps) => import("react/jsx-runtime").JSX.Element;
